aboutsummaryrefslogtreecommitdiff
path: root/network
diff options
context:
space:
mode:
authorArTourter <artourter@gmail.com>2010-05-12 23:32:47 +0200
committerRobby Workman <rworkman@slackbuilds.org>2010-05-12 23:32:47 +0200
commit6b21104f80157a54f33449092451d9ae8e6d7b22 (patch)
tree2fcb855653f79ead4656654a1afd7e9d23762580 /network
parentd6cde1adb9c45044dfa87ead20287e30c640c51e (diff)
downloadslackbuilds-6b21104f80157a54f33449092451d9ae8e6d7b22.tar.xz
network/shorewall-shell: Added to 12.2 repository
Diffstat (limited to 'network')
-rw-r--r--network/shorewall-shell/README12
-rw-r--r--network/shorewall-shell/shorewall-shell.SlackBuild84
-rw-r--r--network/shorewall-shell/shorewall-shell.info8
-rw-r--r--network/shorewall-shell/slack-desc19
4 files changed, 123 insertions, 0 deletions
diff --git a/network/shorewall-shell/README b/network/shorewall-shell/README
new file mode 100644
index 000000000000..fff019d7d1ff
--- /dev/null
+++ b/network/shorewall-shell/README
@@ -0,0 +1,12 @@
+Shorewall (shell-based compiler for Shoreline Firewall)
+
+The Shoreline Firewall, more commonly known as "Shorewall", is a
+Netfilter (iptables) based firewall that can be used on a dedicated
+firewall system, a multi-function gateway/router/server or on a
+standalone GNU/Linux system.
+
+This is the shell compiler part of Shorewall that allows running
+Shorewall with legacy configurations, but shorewall-perl is the
+preferred compiler, please use it for new installations.
+
+You will also need the shorewall-common package.
diff --git a/network/shorewall-shell/shorewall-shell.SlackBuild b/network/shorewall-shell/shorewall-shell.SlackBuild
new file mode 100644
index 000000000000..e9a33c6d71f1
--- /dev/null
+++ b/network/shorewall-shell/shorewall-shell.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for shorewall-shell
+
+# Copyright (c) 2008-2009 Gregory J.L. Tourte (artourter@gmail.com)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=shorewall-shell
+VERSION=${VERSION:-4.2.10}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+BASEVERS=4.2.10
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $PKG $TMP $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$BASEVERS
+tar xvf $CWD/$PRGNAM-$BASEVERS.tar.bz2
+cd $TMP/$PRGNAM-$BASEVERS
+chown -R root:root .
+
+# patching the base against all the patchlevel patches in order, if available
+if [ $(ls $CWD/patches 2>/dev/null | wc -l) -gt 0 ]; then
+ for PATCH in $CWD/patches/* ; do
+ patch -p1 < $PATCH
+ done
+fi
+
+PREFIX=$PKG \
+ OWNER='root' \
+ GROUP='root' \
+ DEST=/etc/rc.d \
+ MANDIR=/usr/man \
+ SLACKWARE=yes \
+ ./install.sh
+
+chmod 0755 $PKG/usr/share/shorewall-shell
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING INSTALL README.txt changelog.txt releasenotes.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+#cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
+# Clean up the extra stuff:
+if [ "$1" = "--cleanup" ]; then
+ rm -rf $TMP/$PRGNAM-$VERSION
+ rm -rf $PKG
+fi
+
+# vim: et ts=2
diff --git a/network/shorewall-shell/shorewall-shell.info b/network/shorewall-shell/shorewall-shell.info
new file mode 100644
index 000000000000..cbaf85fc4c11
--- /dev/null
+++ b/network/shorewall-shell/shorewall-shell.info
@@ -0,0 +1,8 @@
+PRGNAM="shorewall-shell"
+VERSION="4.2.10"
+HOMEPAGE="http://www.shorewall.net"
+DOWNLOAD="http://www.shorewall.net/pub/shorewall/4.2/shorewall-4.2.10/base/shorewall-shell-4.2.10.tar.bz2"
+MD5SUM="d6f7cbc3c502c09921ede920547d5017"
+MAINTAINER="ArTourter"
+EMAIL="artourter@gmail.com"
+APPROVED="rworkman"
diff --git a/network/shorewall-shell/slack-desc b/network/shorewall-shell/slack-desc
new file mode 100644
index 000000000000..d551db8a0e52
--- /dev/null
+++ b/network/shorewall-shell/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+shorewall-shell: Shorewall (shell based compiler for the shoreline firewall)
+shorewall-shell:
+shorewall-shell: The Shoreline Firewall, more commonly known as "Shorewall", is a
+shorewall-shell: Netfilter (iptables) based firewall that can be used on a dedicated
+shorewall-shell: firewall system, a multi-function gateway/router/server or on a
+shorewall-shell: standalone GNU/Linux system.
+shorewall-shell:
+shorewall-shell: This is the shell compiler part of Shorewall that allows running
+shorewall-shell: Shorewall with legacy configurations, but shorewall-perl is the
+shorewall-shell: preferred compiler, please use it for new installations.
+shorewall-shell: http://www.shorewall.net/